import { AdaptableModuleView, AdaptableObjectView, IModule } from './Interface/IModule';
import { AdaptableModuleBase } from './AdaptableModuleBase';
import { AdaptableApi } from '../Api/AdaptableApi';
import { ChartDefinition } from '../types';
import { ExternalChartDefinition } from '../PredefinedConfig/ChartingState';
export declare class ChartingModule extends AdaptableModuleBase implements IModule {
    constructor(api: AdaptableApi);
    isModuleAvailable(): boolean;
    getModuleAdaptableObjects(): (ChartDefinition | ExternalChartDefinition)[];
    toViewAll(): AdaptableObjectView[];
    toView(chart: ChartDefinition | ExternalChartDefinition): AdaptableObjectView;
    toViewExternalChartDefinition(chart: ExternalChartDefinition): AdaptableObjectView;
    toViewChartDefinition(chart: ChartDefinition): AdaptableObjectView;
    getViewProperties(): AdaptableModuleView;
}
